require_relative 'player'
require_relative 'computer'
require_relative 'hand'

module Rpsdz
# Game
class Game
  #main script
  def rps
    puts "Would you like to play against computer or play two player? (Type 'c' or '2p')"
    mode = gets.chomp
    if mode == "c"
      puts "Enter P1 Name: "
      p1 = Player.new(gets.chomp)
      computer = Computer.new

      play(p1, computer)
    elsif mode == "2p"
      puts "Enter P1 Name: "
      p1 = Player.new(gets.chomp)

      puts "Enter P2 Name: "
      p2 = Player.new(gets.chomp)

      play(p1, p2)
    else
      raise "Invalid input"
    end
  end

  private

  def play(p1, p2)
    keep_playing = true
    while (keep_playing)
      p1.showdown(p2)

      puts "Play again? (y/n): "
      if gets.chomp.downcase == 'n'
        keep_playing = false 
        puts "Thanks for playing!"
      else
      end  
    end
  end
end
end