require_relative 'hand'

module Rpsdz
#Player
class Player
  attr_accessor :hand, :name

  def initialize(name)
    @name = name
  end

  def prompt_name
    if self.is_a? Computer
      self.randomize
    else
      puts "#{@name}, Rock, Paper, or Scissors? (r/p/s): "
      @hand = gets.chomp.downcase
    end
  end

  def showdown(p)
    prompt_name
    p.prompt_name 

    puts "#{@name}: #{@hand} | #{p.name}: #{p.hand}"   

    case @hand
    when "r"
      if p.hand == "r"
        puts "tie"
      elsif p.hand == "p"
        puts "#{p.name} wins"
      elsif p.hand == "s"
        puts "#{name} wins"
      end
    when "p"
      if p.hand == "r"
        puts "#{name} wins"
      elsif p.hand == "p"
        puts "tie"
      elsif p.hand == "s"
        puts "#{p.name} wins"
      end
    when "s"
      if p.hand == "r"
        puts "#{p.name} wins"
      elsif p.hand == "p"
        puts "#{name} wins"
      elsif p.hand == "s"
        puts "tie"
      end
    else
      puts "#{hand} is not a valid choice. Please try again"
      showdown(p)
    end
  end
end
end